<?php
/**********************************************************************************
WIKINDX: Bibliographic Management system.
Copyright (C)

This program is free software; you can redistribute it and/or modify it under the terms 
of the GNU General Public License as published by the Free Software Foundation; either 
version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; 
if not, write to the 
Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

The WIKINDX Team 2013
sirfragalot@users.sourceforge.net
**********************************************************************************/


session_start();
if(isset($_SESSION) && $_SESSION['wikindxBasePath'])
	chdir($_SESSION['wikindxBasePath']); // tinyMCE changes the phpbasepath
else
{
	$oldPath = dirname(__FILE__);
	$split = explode('/', $oldPath);
	array_splice($split, -4); // get back to trunk
	$newPath = join('/', $split);
	chdir($newPath);
}
$script = '<script type="text/javascript" src="../../tiny_mce_popup.js"></script>
	<script type="text/javascript" src="js/wikindxTabledialog.js"></script>';
include_once("core/startup/GLOBALS.php");
GLOBALS::buildOutputScript($script);
$class = new WPTableDialog();
		
class WPTableDialog
{
private $messages;
private $form;
private $html;

	function __construct()
	{
		include_once("core/startup/FACTORY.php");
		include_once("core/startup/GLOBALS.php");
		$this->form = FACTORY_FORM::getInstance();
		$this->messages = FACTORY_MESSAGES::getInstance();
		$this->html = FACTORY_HTML::getInstance();
		$this->table = FACTORY_TABLE::getInstance();
		$this->tableDialogue();
	}
	
/*
* Add table dialogue
* @author Mark Grimshaw
* @version 1
* @return string
*/
	private function tableDialogue()
	{
		$pString = $this->html->h($this->messages->text('tinymce', "headingAddTable"), FALSE, 3);
		$this->form->insertJscriptAction = "onsubmit=\"return tableDialog();\"";
		$pString .= $this->form->formHeaderVisibleAction("dialog.php", "insertTable");
		$pString .= $this->form->hidden("method", "addTable");
		$pString .= $this->table->tableStart();
		$pString .= $this->table->trStart();
		$td = $this->form->textInput($this->messages->text('tinymce', "tableColumns"), 'columns', 2, 3);
		$pString .= $this->table->td($td);
		$td = $this->form->textInput($this->messages->text('tinymce', "tableRows"), 'rows', 2, 3);
		$pString .= $this->table->td($td);
		$pString .= $this->table->trEnd();
		$pString .= $this->table->tableEnd();
		$pString .= $this->html->p($this->form->formSubmit('Submit', FALSE, 'insert'));
		$pString .= $this->form->formEnd();
		GLOBALS::buildOutputString($pString);
		FACTORY_CLOSEPOPUP::getInstance();
	}
}
?>
